Create a workforce plan
curl --request POST \
--url https://api.plane.com/v1/workforce/plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"starts": "<string>",
"ends": "<string>",
"currency": "<string>",
"frequency": "<string>",
"metadata": {}
}
'import requests
url = "https://api.plane.com/v1/workforce/plans"
payload = {
"name": "<string>",
"starts": "<string>",
"ends": "<string>",
"currency": "<string>",
"frequency": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
starts: '<string>',
ends: '<string>',
currency: '<string>',
frequency: '<string>',
metadata: {}
})
};
fetch('https://api.plane.com/v1/workforce/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "FY27 hiring plan",
"starts": "2026-07-01",
"ends": "2027-06-30",
"currency": "USD"
}
{
"id": "wfp_R8mK2pQ9xL4s",
"object": "workforce.plan",
"name": "FY27 hiring plan",
"status": "draft",
"starts": "2026-07-01",
"ends": "2027-06-30",
"frequency": "monthly",
"currency": "USD",
"positions": [],
"calculation": null,
"metadata": {},
"created": "2026-05-27T12:00:00Z",
"updated": "2026-05-27T12:00:00Z"
}
Plans
Create a workforce plan
Create a persistent workforce planning scenario.
POST
/
v1
/
workforce
/
plans
Create a workforce plan
Parameters
Workforce plans are created as drafts. Use the approval flow when a plan is ready to lock.Human-readable plan name.
Start date for the planning window.
End date for the planning window.
Three-letter ISO currency code for calculation rollups. Defaults to the
workspace currency.
Planning frequency. Currently
monthly.Set of key-value pairs attached to the plan.
Returns
Returns the created Workforce plan object.{
"name": "FY27 hiring plan",
"starts": "2026-07-01",
"ends": "2027-06-30",
"currency": "USD"
}
{
"id": "wfp_R8mK2pQ9xL4s",
"object": "workforce.plan",
"name": "FY27 hiring plan",
"status": "draft",
"starts": "2026-07-01",
"ends": "2027-06-30",
"frequency": "monthly",
"currency": "USD",
"positions": [],
"calculation": null,
"metadata": {},
"created": "2026-05-27T12:00:00Z",
"updated": "2026-05-27T12:00:00Z"
}
Was this page helpful?
⌘I